---------------------
PatchSet 3063 
Date: 2001/09/29 07:58:59
Author: serassio
Branch: nt-2_3
Tag: (none) 
Log:
Merged bugzilla patches: #53, #172, #215, #233 and #241

Members: 
	doc/WIN32-ChangeLog.txt:1.1.2.4->1.1.2.5 
	src/acl.c:1.1.1.3.4.3.2.5->1.1.1.3.4.3.2.6 
	src/fd.c:1.1.1.3.4.1.2.3->1.1.1.3.4.1.2.4 
	src/ftp.c:1.1.1.3.4.3.2.3->1.1.1.3.4.3.2.4 
	src/neighbors.c:1.1.1.3.4.1.2.2->1.1.1.3.4.1.2.3 
	src/url.c:1.1.1.3.4.4.2.3->1.1.1.3.4.4.2.4 

Index: squid/doc/WIN32-ChangeLog.txt
===================================================================
RCS file: /cvsroot/squid-sf//squid/doc/Attic/WIN32-ChangeLog.txt,v
retrieving revision 1.1.2.4
retrieving revision 1.1.2.5
diff -u -r1.1.2.4 -r1.1.2.5
--- squid/doc/WIN32-ChangeLog.txt	9 Sep 2001 10:10:13 -0000	1.1.2.4
+++ squid/doc/WIN32-ChangeLog.txt	29 Sep 2001 08:03:07 -0000	1.1.2.5
@@ -44,3 +44,4 @@
 13 Aug 2001 - Added support for Service command line with -O switch - (Guido Serassio)
 01 Sep 2001 - Fixed swap.state log files handling - (Guido Serassio)
 08 Sep 2001 - Multiple minor bugs fixes - (Guido Serassio)
+29 Sep 2001 - Merged bugzilla patches: #53, #172, #215, #233 and #241 - (Guido Serassio)
Index: squid/src/acl.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/acl.c,v
retrieving revision 1.1.1.3.4.3.2.5
retrieving revision 1.1.1.3.4.3.2.6
diff -u -r1.1.1.3.4.3.2.5 -r1.1.1.3.4.3.2.6
--- squid/src/acl.c	19 Aug 2001 19:47:00 -0000	1.1.1.3.4.3.2.5
+++ squid/src/acl.c	29 Sep 2001 07:58:59 -0000	1.1.1.3.4.3.2.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: acl.c,v 1.1.1.3.4.3.2.5 2001/08/19 19:47:00 serassio Exp $
+ * $Id: acl.c,v 1.1.1.3.4.3.2.6 2001/09/29 07:58:59 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -798,8 +798,10 @@
 int
 aclIsProxyAuth(const char *name)
 {
-    acl *a = aclFindByName(name);
-    if (a)
+    acl *a;
+    if (NULL == name)
+	return 0;
+    if ((a = aclFindByName(name)))
 	return a->type == ACL_PROXY_AUTH;
     return 0;
 }
Index: squid/src/fd.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fd.c,v
retrieving revision 1.1.1.3.4.1.2.3
retrieving revision 1.1.1.3.4.1.2.4
diff -u -r1.1.1.3.4.1.2.3 -r1.1.1.3.4.1.2.4
--- squid/src/fd.c	9 Sep 2001 10:10:14 -0000	1.1.1.3.4.1.2.3
+++ squid/src/fd.c	29 Sep 2001 07:58:59 -0000	1.1.1.3.4.1.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: fd.c,v 1.1.1.3.4.1.2.3 2001/09/09 10:10:14 serassio Exp $
+ * $Id: fd.c,v 1.1.1.3.4.1.2.4 2001/09/29 07:58:59 serassio Exp $
  *
  * DEBUG: section 51    Filedescriptor Functions
  * AUTHOR: Duane Wessels
@@ -189,8 +189,9 @@
 void
 fd_open(int fd, unsigned int type, const char *desc)
 {
-    fde *F = &fd_table[fd];
+    fde *F;
     assert(fd >= 0);
+    F = &fd_table[fd];
 #if USE_ASYNC_IO
     if (F->flags.closing) {
 	/* Reuse of a closed FD before we have noticed it is closed */
Index: squid/src/ftp.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/ftp.c,v
retrieving revision 1.1.1.3.4.3.2.3
retrieving revision 1.1.1.3.4.3.2.4
diff -u -r1.1.1.3.4.3.2.3 -r1.1.1.3.4.3.2.4
--- squid/src/ftp.c	1 Sep 2001 15:08:11 -0000	1.1.1.3.4.3.2.3
+++ squid/src/ftp.c	29 Sep 2001 07:58:59 -0000	1.1.1.3.4.3.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ftp.c,v 1.1.1.3.4.3.2.3 2001/09/01 15:08:11 serassio Exp $
+ * $Id: ftp.c,v 1.1.1.3.4.3.2.4 2001/09/29 07:58:59 serassio Exp $
  *
  * DEBUG: section 9     File Transfer Protocol (FTP)
  * AUTHOR: Harvest Derived
@@ -2448,8 +2448,10 @@
 	err->ftp.request = xstrdup(ftpState->ctrl.last_command);
     if (ftpState->old_reply)
 	err->ftp.reply = xstrdup(ftpState->old_reply);
-    else
+    else if (ftpState->ctrl.last_reply)
 	err->ftp.reply = xstrdup(ftpState->ctrl.last_reply);
+    else
+	err->ftp.reply = xstrdup("");
     errorAppendEntry(ftpState->entry, err);
     storeBufferFlush(ftpState->entry);
     ftpSendQuit(ftpState);
Index: squid/src/neighbors.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/neighbors.c,v
retrieving revision 1.1.1.3.4.1.2.2
retrieving revision 1.1.1.3.4.1.2.3
diff -u -r1.1.1.3.4.1.2.2 -r1.1.1.3.4.1.2.3
--- squid/src/neighbors.c	1 Sep 2001 15:08:12 -0000	1.1.1.3.4.1.2.2
+++ squid/src/neighbors.c	29 Sep 2001 07:59:00 -0000	1.1.1.3.4.1.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: neighbors.c,v 1.1.1.3.4.1.2.2 2001/09/01 15:08:12 serassio Exp $
+ * $Id: neighbors.c,v 1.1.1.3.4.1.2.3 2001/09/29 07:59:00 serassio Exp $
  *
  * DEBUG: section 15    Neighbor Routines
  * AUTHOR: Harvest Derived
@@ -151,6 +151,10 @@
     checklist.my_addr = request->my_addr;
     checklist.my_port = request->my_port;
     checklist.request = request;
+#if USE_IDENT
+    if (request->user_ident[0])
+	xstrncpy(checklist.ident, request->user_ident, USER_IDENT_SZ);
+#endif
     return aclCheckFast(p->access, &checklist);
 }
 
@@ -382,7 +386,7 @@
     mem->start_ping = current_time;
     mem->ping_reply_callback = callback;
     mem->ircb_data = callback_data;
-    *timeout = 0.0;
+    *timeout = (int) 0.0;
     reqnum = icpSetCacheKey(entry->key);
     for (i = 0, p = first_ping; i++ < Config.npeers; p = p->next) {
 	if (p == NULL)
Index: squid/src/url.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/url.c,v
retrieving revision 1.1.1.3.4.4.2.3
retrieving revision 1.1.1.3.4.4.2.4
diff -u -r1.1.1.3.4.4.2.3 -r1.1.1.3.4.4.2.4
--- squid/src/url.c	14 Jun 2001 21:34:24 -0000	1.1.1.3.4.4.2.3
+++ squid/src/url.c	29 Sep 2001 07:59:00 -0000	1.1.1.3.4.4.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: url.c,v 1.1.1.3.4.4.2.3 2001/06/14 21:34:24 serassio Exp $
+ * $Id: url.c,v 1.1.1.3.4.4.2.4 2001/09/29 07:59:00 serassio Exp $
  *
  * DEBUG: section 23    URL Parsing
  * AUTHOR: Duane Wessels
@@ -288,7 +288,7 @@
 #ifdef HARDCODE_DENY_PORTS
     /* These ports are filtered in the default squid.conf, but
      * maybe someone wants them hardcoded... */
-    if (port == 7 || port == 9 || port = 19) {
+    if (port == 7 || port == 9 || port == 19) {
 	debug(23, 0) ("urlParse: Deny access to port %d\n", port);
 	return NULL;
     }
